**************************************************************;
* French Labour Force Survey (i.e. Enqute Emploi) can be    *;
* obtained from Rseau Quetelet http://quetelet.casd.eu/     *;
* For this program I have downloaded the SAS files for 1996  *;
* to 2003. For the year 2003, I have used the FPR version    *;                                           
* (Scientific usefile) lil-0246b rather than the standard    *; 
* one.                                                       *;
* While appending the data, I introduced the following       *;
* modification in the variables. To avoid a Numeric/Character*;
* conflict, I changed EFEN's name in 1998 to EFEN98 and      *;
* I introduced a year variable for each separate file.       *;
* The data for the full years and the necessary variable were*;
* then transformed to a SAS export file for other softwares. *;
**************************************************************;


options ps=max ls=max nodate nocenter nonumber;

libname emp96 "D:\Olivier\Documents\Universite\data\Emploi\lil-0034.sas7bdat\SAS\";
libname emp97 "D:\Olivier\Documents\Universite\data\Emploi\lil-0035.sas7bdat\SAS\";
libname emp98 "D:\Olivier\Documents\Universite\data\Emploi\lil-0036.sas7bdat\SAS\";
libname emp99 "D:\Olivier\Documents\Universite\data\Emploi\lil-0037.sas7bdat\";
libname emp00 "D:\Olivier\Documents\Universite\data\Emploi\lil-0038.sas7bdat\SAS\";
libname emp01 "D:\Olivier\Documents\Universite\data\Emploi\lil-0039.sas7bdat\SAS\";
libname emp02 "D:\Olivier\Documents\Universite\data\Emploi\lil-0146.sas7bdat\SAS\";
libname emp03 "D:\Olivier\Documents\Universite\data\Emploi\lil-0246b.sas7bdat\SAS";
libname repl_raw xport "D:\Olivier\Documents\Universite\data\Emploi\Jole_2009_Data\LFS_9603_raw.xpt";
libname jole "D:\Olivier\Documents\Universite\data\Emploi\Jole_2009_Data\";

/*
libname emp96 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0034.sas7bdat\SAS\";
libname emp97 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0035.sas7bdat\SAS\";
libname emp98 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0036.sas7bdat\SAS\";
libname emp99 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0037.sas7bdat\";
libname emp00 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0038.sas7bdat\SAS\";
libname emp01 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0039.sas7bdat\SAS\";
libname emp02 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0146.sas7bdat\SAS\";
libname emp03 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0246b.sas7bdat\SAS";
libname repl_raw xport "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\LFS_9603_raw.xpt";
libname jole "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\Jole_2009_Data\";
*/



/*data emp03.empl03; set emp03.indiv031 emp03.indiv032 emp03.indiv033 emp03.indiv034; run;*/
data emp00; set	emp00.empl00qi(KEEP=AIRE IMLOC NOI CSE DEP RG DEA SALRED DDIPL S AG AG5 
	STATUT ST  HH CHPUB DEPETA PETA DU DUHAB TN TNP NP NAFG36 ACT ACT7 
	 EXTRI HT)
	; 
year=2000;
run;

data emp01; set emp01.empl01qi (KEEP=AIRE IMLOC NOI CSE DEP RG  DEA SALRED DDIPL S  AG AG5 
	STATUT ST  HH CHPUB DEPETA PETA DU DUHAB TN NP NAFG36 ACT ACT7 
	 EXTRI HT );
year=2001;
run;

data emp02; set emp02.empl02qi (KEEP=AIRE IMLOC NOI CSE DEP RG DEA SALRED DDIPL S  AG AG5 
	STATUT ST  HH CHPUB DEPETA PETA DU DUHAB TN NP NAFG36 ACT ACT7 
	 EXTRI HT );
year=2002;
run;

data emp96; set	emp96.empl96qi (KEEP=AIRE  IMLOC NOI CSE DEP RG DEA SALRED DDIPL S  AG AG5 
	STATUT ST  HH CHPUB DEPETA PETA  DU DUHAB TN NP NAFG36 ACT ACT7 EFEN_S EFET_S
	 EXTRI HT);
year=1996;
run;

data emp97; set	emp97.empl97qi (KEEP=AIRE  IMLOC NOI CSE DEP RG DEA SALRED DDIPL S  AG AG5 
	STATUT ST  HH CHPUB DEPETA PETA DU DUHAB TN NP NAFG36 ACT ACT7 EFEN_S EFET_S
	 EXTRI HT );
year=1997;
run;

data emp98; set	emp98.empl98qi (KEEP=AIRE  IMLOC NOI CSE DEP RG DEA SALRED DDIPL S  AG AG5 
	STATUT ST  HH CHPUB DEPETA PETA DU DUHAB TN NP NAFG36 ACT ACT7 EFEN
	 EXTRI HT RENAME=(EFEN=EFEN98));
year=1998;
run;

data emp99; set	emp99.empl99qi (KEEP=AIRE  IMLOC NOI CSE DEP RG DEA SALRED DDIPL S  AG AG5 
	STATUT ST HH CHPUB DEPETA PETA DU DUHAB TN NP NAFG36 ACT ACT7
	 EXTRI HT);
year=1999;
run;

data emp03; set emp03.empl03 (KEEP=IDENT NOI RGA CSE ANNEE SALRED DDIPL SEXE  AGE AG5 HHC CHPUB 
	STATUT STAT2 DUHAB NBINDE NAFG36U ACTEU ACTEU6 EXTRI DEPARC PETA EFEN NBSALB DATDEB EMPNBH DEP REG);
year=2003; run;


data jole.LFS_9603_raw; set emp00 emp01 emp02 emp96 emp97 emp98 emp99 emp03; 
run;

********************************************;
* Creating SAS Xport file for R & STATA    *; 
********************************************;
data emp0b; set jole.LFS_9603_raw; run;

proc datasets lib=work memtype=data;
   modify emp0b; 
     attrib _all_ format=;
	 attrib _all_ INformat=;
run;

proc copy in=work out=repl_raw memtype=data;
select emp0b;
run;


