**************************************************************;
* French Labour Force Survey (i.e. Enqute Emploi),         *; 
* and Supplementary survey on working time 1995 and 2001 can *;
* be obtained from Rseau Quetelet http://quetelet.casd.eu/  *;
* I introduced a year variable for each separate file in LFS *;
* and a dyear variable for each supplementary survey.        *;
* Merger is based on individual Id call ID.                  *;
* The data for the full years and the necessary variable were*;
* then transformed to a SAS export file for other softwares. *;
**************************************************************;

options ps=max ls=max nodate nocenter nonumber;


libname emp95 "D:\Olivier\Documents\Universite\data\Emploi\lil-0033.sas7bdat\SAS\";
libname emp01 "D:\Olivier\Documents\Universite\data\Emploi\lil-0039.sas7bdat\SAS\";
libname dur95 "D:\Olivier\Documents\Universite\data\Emploi\Duree_Travail\lil-0043.sas7bdat\SAS";
libname dur01 "D:\Olivier\Documents\Universite\data\Emploi\Duree_Travail\lil-0185.sas7bdat";
libname repl_raw xport "D:\Olivier\Documents\Universite\data\Emploi\dur9501_raw.xpt";
libname jole "D:\Olivier\Documents\Universite\data\Emploi\Jole_2009_Data\";

/*
libname emp95 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0033.sas7bdat\SAS\";
libname emp01 "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\lil-0039.sas7bdat\SAS\";
libname dur95 "C:\Users\olivier.godechot\Documents\Universite\Data\Emploi\Duree_Travail\lil-0043.sas7bdat\SAS";
libname dur01 "C:\Users\olivier.godechot\Documents\Universite\Data\Emploi\Duree_Travail\lil-0185.sas7bdat";
libname repl_raw xport "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\dur9501_raw.xpt";
libname jole "D:\Olivier\Documents\Universite\data\Emploi\Jole_2009_Data\";
*/

data b; set dur95.indic ; 
id=compress(AIRE!!IMLOC!!NOI);
dyear=1995;
keep dyear id durhebdo;
run;

data c; set dur01.base; 
id=ident;
dyear=2001;
run;

data d; set c b;run;

proc format ;
value agen
15-24="15-24"
25-39="25-39"
40-49="40-49"
50-59="50-59"
60-99="60 &+";

value myyear
1996-1998="1996-1998"
1999-2000="1999-2000"
2001-2002="2001-2002"
2003="2003";

value alsacemo
1="Alsace-Moselle"
0="Rest of France";
run;



data emp95; set emp95.empl95qi (KEEP=AIRE IMLOC NOI CSE DEP RG  DEA SALRED DDIPL S  AG AG5 
	STATUT hh ST CHPUB DEPETA PETA DU DUHAB TN NP NAFG36 ACT ACT7 
	N EXTRI HT );
year=1995;
run;


data emp01; set emp01.empl01qi (KEEP=AIRE IMLOC NOI CSE DEP RG  DEA SALRED DDIPL S  AG AG5 
	STATUT hh ST CHPUB DEPETA PETA DU DUHAB TN NP NAFG36 ACT ACT7 
	N EXTRI HT );
year=2001;
run;

data e; set emp01 emp95 ; 
id=compress(AIRE!!IMLOC!!NOI);
run;

proc sql; 
create table l as select * from d as aa left join e  as bb on aa.dyear=bb.year and aa.id=bb.id; 
quit;

data jole.dur9501_raw; set l; run;

proc datasets lib=work memtype=data;
   modify l; 
     attrib _all_ format=;
	 attrib _all_ INformat=;
run;

proc copy in=work out=repl_raw memtype=data;
select emp0b;
run;

