**********************************************************************
* Data excerpt obtained from Chemin (Corresponding author) and Wasmer
**********************************************************************

*ssc install outreg2
clear
set matsize 1000
*use "C:\Users\olivier.godechot\Documents\Universite\Data\Emploi\Jole_2009_Data\emploi.dta"
use "D:\Olivier\Documents\Universite\Data\Emploi\Jole_2009_Data\emploi.dta"

describe

gen cse_n=cse

*Usual working hours
gen us_hours=hh

*Year
gen year=(dea<=100)*(dea+1900)+(dea>100)*(dea)
 
*Last week working hours
gen lw_hours=ht

*Hourly wage
gen hwage=salred/(4.34*min(us_hours,48)) if us_hours>0 & missing(us_hours)==0
gen lhwage=log(hwage) if hwage>0 & missing(hwage)==0

*Full time 
gen fulltim=(inlist(duhab,4,5,6,7))

*gender
gen female=(s==2)
gen male=1-female

*definition of living department (department fixed effect)
gen livdep=dep

*Redefinition of living region => Moselle in Alsace
gen livreg=rg 
replace livreg=42 if livdep==57
replace livreg=92 if livreg==93 
replace livreg=92 if livreg==94

*Alsace Moselle 
* Living in Alsace-Moselle
gen alsacemo=(inlist (livdep,57,67,68))


****establish the correspondance with the border country:
* Here I follow exactly the program for the JOLE 2009 article; 
* Other decision could be done for some departments like Moselle (matching with Luxembourg); 
* or Haut Rhing (matching with Switzerland) and similarly Aisne (02) could be included in the ; 
* list and matched with Belgium; 
gen country="Belgium" if livdep==59|livdep==08|livdep==55
replace country="Luxembourg" if livdep==54
replace country="Germany" if livdep==57|livdep==67|livdep==68
replace country="Switzerland" if livdep==90|livdep==25|livdep==39|livdep==1|livdep==74
replace country="Italy" if livdep==73|livdep==74|livdep==4|livdep==5|livdep==6
replace country="Spain" if livdep==66|livdep==9|livdep==31|livdep==65|livdep==64
replace country="No border" if missing(country)==1

gen country1=1-(country=="No border")

* Border Department * Growth
* Data extracted on 24 Sep 2016 10:06 UTC (GMT) from OECD.Stat;
* http://stats.oecd.org/index.aspx?DatasetCode=EO; 
gen bordergdp=0 if country=="No border"
replace bordergdp=1.58960805579247 if country=="Belgium" & year==1996
replace bordergdp=3.7098969741779 if country=="Belgium" & year==1997
replace bordergdp=1.97648077819975 if country=="Belgium" & year==1998
replace bordergdp=3.56273663647085 if country=="Belgium" & year==1999
replace bordergdp=3.64016036893688 if country=="Belgium" & year==2000
replace bordergdp=0.805943529168277 if country=="Belgium" & year==2001
replace bordergdp=1.77955176068139 if country=="Belgium" & year==2002
replace bordergdp=0.774248667313357 if country=="Belgium" & year==2003
replace bordergdp=0.853803107702814 if country=="Germany" & year==1996
replace bordergdp=1.90478756470841 if country=="Germany" & year==1997
replace bordergdp=1.7755820082395 if country=="Germany" & year==1998
replace bordergdp=1.84519905837833 if country=="Germany" & year==1999
replace bordergdp=3.19740195821453 if country=="Germany" & year==2000
replace bordergdp=1.83767366339264 if country=="Germany" & year==2001
replace bordergdp=0.018796971665527 if country=="Germany" & year==2002
replace bordergdp=-0.730261487285155 if country=="Germany" & year==2003
replace bordergdp=1.52021815057823 if country=="Luxembourg" & year==1996
replace bordergdp=5.95023422423793 if country=="Luxembourg" & year==1997
replace bordergdp=6.48430414707796 if country=="Luxembourg" & year==1998
replace bordergdp=8.42348341729952 if country=="Luxembourg" & year==1999
replace bordergdp=8.4138511615165 if country=="Luxembourg" & year==2000
replace bordergdp=2.14738895086324 if country=="Luxembourg" & year==2001
replace bordergdp=3.62592944338009 if country=="Luxembourg" & year==2002
replace bordergdp=1.41294747363995 if country=="Luxembourg" & year==2003
replace bordergdp=2.67477982295753 if country=="Spain" & year==1996
replace bordergdp=3.68947185154924 if country=="Spain" & year==1997
replace bordergdp=4.30597844697085 if country=="Spain" & year==1998
replace bordergdp=4.48477443037206 if country=="Spain" & year==1999
replace bordergdp=5.28922090746535 if country=="Spain" & year==2000
replace bordergdp=4.00106922543372 if country=="Spain" & year==2001
replace bordergdp=2.87976212105771 if country=="Spain" & year==2002
replace bordergdp=3.18757147564503 if country=="Spain" & year==2003
replace bordergdp=0.553143472905909 if country=="Switzerland" & year==1996
replace bordergdp=2.28249395074228 if country=="Switzerland" & year==1997
replace bordergdp=2.86759553716691 if country=="Switzerland" & year==1998
replace bordergdp=1.59413007109722 if country=="Switzerland" & year==1999
replace bordergdp=4.1730931201534 if country=="Switzerland" & year==2000
replace bordergdp=1.45704410800672 if country=="Switzerland" & year==2001
replace bordergdp=0.147402714479676 if country=="Switzerland" & year==2002
replace bordergdp=0.080114046598927 if country=="Switzerland" & year==2003
replace bordergdp=1.00012290887587 if country=="Italy" & year==1996
replace bordergdp=1.96767328011084 if country=="Italy" & year==1997
replace bordergdp=1.45619718946013 if country=="Italy" & year==1998
replace bordergdp=1.5085997667673 if country=="Italy" & year==1999
replace bordergdp=3.96835161235477 if country=="Italy" & year==2000
replace bordergdp=1.58146107576628 if country=="Italy" & year==2001
replace bordergdp=0.24728101400427 if country=="Italy" & year==2002
replace bordergdp=0.238103105481728 if country=="Italy" & year==2003

*Size of firm
gen efen_n=efen
replace efen_n=. if efen==999999
gen efen99=(missing(efen_n)==1 | efen_n==999999)
gen efen20=(efen_n>19 & efen_n<999999 & missing(efen_n)==0)
gen efen20w=efen20  if efen99==0
gen efen20e=(efen_n>19)


gen tn20=(inlist(tn,5,6,7,8,9))
gen tn99=(tn == .)
gen tn0=(tn==0)
gen tn99b=(tn == . | tn==0)
gen tn20w=tn20 if tn99==0
gen tn20wb=tn20 if tn99==0 & tn0==0
gen tn20e=tn20+tn99b
	
*targeted occupation
gen t_occ_o=(cse>31 & cse<70)
gen t_occ=(t_occ_o == 1 &  cse !=34 & cse !=44 & cse !=42 & cse !=56)

*targeted sector
gen sector=nafg36

*replace sector=nafg36u if  year==2003
gen t_sector=(inlist(sector,"F5","J3","P1","H0"))

*age with numeric variable
/*
*Alternative age definition
gen agen=ag_n if year<2003
replace agen=age_n if year==2003
gen age1524=(15<=agen & agen<=24)
gen age2539=(25<=agen & agen<=39)
gen age4049=(40<=agen & agen<=49)
gen age5059=(50<=agen & agen<=59)
gen age60pl=(60<=agen & agen<108)*/

*age with AG5
gen age1524=(ag5==15)
gen age2539=(ag5==25 | ag5==30)
gen age4049=(ag5==40)
gen age5059=(ag5==50)
gen age60pl=(ag5==60)

tab ag5, gen(ag5dum)

*household size 
gen hhldsize=np 
replace hhldsize=5 if hhldsize>=5

*diploma 
gen ddipl1=(ddipl == 1)
gen ddipl3=(ddipl == 3)
gen ddipl4=(ddipl == 4)
gen ddipl5=(ddipl == 5)
gen ddipl6=(ddipl == 6)
gen ddipl7=(ddipl == 7)
gen ddipl9=(ddipl == .)

*skilled
gen skilled=(ddipl==1 | ddipl==3)

*period
gen per9900=(year == 1999 | year == 2000)
gen per0102=(year == 2001 | year == 2002)
gen per03=(year == 2003)

*employment
gen employed=(act7 == 1)
gen unemploy=(act7 == 3 | act7 == 3) if inlist(act7,1,3,4)


*alsacemo*periods
gen alsacemo9900=alsacemo*per9900
gen alsacemo0102=alsacemo*per0102
gen alsacemo03=alsacemo*per03

gen all=1

*2003 LFS after Alsace Moselle's hollidays
gen jf_am=1 if dea==2003&mmcm==4&jjcm>=14&jjcm<=20
replace jf_am=1 if dea==2003&mmcm==12&jjcm>=22&jjcm<=27
replace jf_am=0 if jf_am==.&dea==2003


*fields
*field all workers & cse_n valid
gen f1=((act7==1|act7==3|act7==4))

*field all workers full time
gen f2=(f1 == 1 & fulltim == 1)

*field all workers full time and department, household and valid
*gen f3=(f2 == 1 & missing(hhldsize)==0 & missing(us_hours)==0 & ag5 != .)
gen f3=(f2==1 & missing(cse_n)==0 &  missing(dea)==0 &  missing(us_hours)==0 ///
& missing(hhldsize)==0 & missing(livdep)==0 & missing(ag5)==0 & extri !=. & extri !=0)

**************************************************************************************
* Table G1. Descriptive statics on EFEN
**************************************************************************************
tabstat efen_n efen99 efen20 efen20w if f3==1, by(year) s(me)
tabstat efen_n if f3==1, by(year) s(sd)

***********************************************************************************
* Table G2. Correction for firms
***********************************************************************************
regress us_hours i.year i.livdep i.cse_n ddipl1-ddipl6 ddipl9 male hhldsize ag5dum* ///
		alsacemo03 alsacemo0102 alsacemo9900 if f3==1 & efen20w==1 [pweight=extri], cluster(livdep)
outreg2 using "table_G2A.xls", bdec(4) se ctitle("DD Target firm") bracket replace
outreg2 using "table_G2A_s.xls", bdec(4) se ctitle("DD Target firm") keep(alsacemo*) bracket replace

regress us_hours i.year i.livdep i.cse_n ddipl1-ddipl6 ddipl9 male hhldsize ag5dum* ///
		alsacemo03 alsacemo0102 alsacemo9900 if f3==1 & efen20w==0 [pweight=extri], cluster(livdep)
outreg2 using "table_G2A.xls", bdec(4) se ctitle("DD control firm") bracket append
outreg2 using "table_G2A_s.xls", bdec(4) se ctitle("DD control firm") keep(alsacemo*) bracket append

regress us_hours i.year i.livdep i.cse_n ddipl1-ddipl6 ddipl9 male hhldsize ag5dum* ///
		alsacemo03 alsacemo0102 alsacemo9900 if f3==1 & efen99==1 & inlist(year,1998,2001,2002,2003) [pweight=extri], cluster(livdep)		
outreg2 using "table_G2A.xls", bdec(4) se ctitle("DD missing firm") bracket append
outreg2 using "table_G2A_s.xls", bdec(4) se ctitle("DD missing firm") keep(alsacemo*) bracket append
		
regress us_hours efen20w##i.year efen20w##i.livdep efen20w##i.cse_n  ddipl1 ///
		ddipl3 ddipl4 ddipl5 ddipl6 ddipl9 ///
		male hhldsize ag5dum*  ///
		alsacemo03 alsacemo0102 alsacemo9900 ///				
		efen20w##alsacemo03  efen20w##alsacemo0102 efen20w##alsacemo9900 if f3==1 [pweight=extri], cluster(livdep)		
outreg2 using "table_G2A.xls", bdec(4) se ctitle("DDD firm (no missing)") bracket append
outreg2 using "table_G2A_s.xls", bdec(4) se ctitle("DDD firm (no missing)") keep(alsacemo* efen20w##alsacemo*) bracket append

regress us_hours efen20##i.year efen20##i.livdep efen20##i.cse_n  ddipl1 ///
		ddipl3 ddipl4 ddipl5 ddipl6 ddipl9 ///
		male hhldsize ag5dum*  ///
		alsacemo03 alsacemo0102 alsacemo9900 ///		
		efen20##alsacemo03  efen20##alsacemo0102 efen20##alsacemo9900 if f3==1 ///
		& inlist(year,1998,2001,2002,2003) [pweight=extri], cluster(livdep)		
outreg2 using "table_G2A.xls", bdec(4) se ctitle("DDD firm (with missing)") bracket append
outreg2 using "table_G2A_s.xls", bdec(4) se ctitle("DDD firm (with missing)") keep(alsacemo* efen20##alsacemo*) bracket append

regress us_hours i.year i.livdep i.cse_n ddipl1-ddipl6 ddipl9 male hhldsize ag5dum* ///
		alsacemo03 alsacemo0102 alsacemo9900 if f3==1 & efen20e==1 & inlist(year,1998,2001,2002,2003) [pweight=extri], cluster(livdep)		
outreg2 using "table_G2A.xls", bdec(4) se ctitle("DD Target firm with missing") bracket append
outreg2 using "table_G2A_s.xls", bdec(4) se ctitle("DD Target firm with missing") keep(alsacemo*) bracket append

regress us_hours efen20e##i.year efen20e##i.livdep efen20e##i.cse_n  ddipl1 ///
		ddipl3 ddipl4 ddipl5 ddipl6 ddipl9 ///
		male hhldsize ag5dum*  ///
		alsacemo03 alsacemo0102 alsacemo9900 ///		
		efen20e##alsacemo03  efen20e##alsacemo0102 efen20e##alsacemo9900 if f3==1 ///
		& inlist(year,1998,2001,2002,2003) [pweight=extri], cluster(livdep)		
outreg2 using "table_G2A.xls", bdec(4) se ctitle("DDD firm (with missing in target)") bracket append
outreg2 using "table_G2A_s.xls", bdec(4) se ctitle("DDD firm (with missing in target)") keep(alsacemo* efen20e##alsacemo*) bracket append

	
