options ps=max ls=max nodate nocenter nonumber;

libname jole "D:\Olivier\Documents\Universite\data\Emploi\Jole_2009_Data\";
*libname jole "C:\Users\Olivier.Godechot\Documents\Universite\data\Emploi\Jole_2009_Data\";

proc format ;
value agen
15-24="15-24"
25-39="25-39"
40-49="40-49"
50-59="50-59"
60-99="60 &+";
value myyear
1996-1998="1996-1998"
1999-2000="1999-2000"
2001-2002="2001-2002"
2003="2003";

value alsacemo
1="Alsace-Moselle"
0="Rest of France";
run;

data emp; set jole.lfs_9603_raw; 

if year= 2003 then dea_2=annee; 
else dea_2=(80<dea<100)*(DEA+1900)+(DEA>100)*DEA; 


*Individuals; 
if year<2003 then id=AIRE!!IMLOC!!noi;
else id=IDENT!!NOI;


*Usual working hours;
if 1990<=year<2003 and HH NE "SP" then us_hours=HH*1;
else if year=2003 then us_hours=HHC*1;

*Last week working hours;
if year=2003 then lw_hours=EMPNBH*1;
else lw_hours=HT*1;

*Hourly wage;
if year=2003 then salred=salred*6.55957;
if salred>0 then lsalred=log(SALRED);
if us_hours>0 and salred>0 then hwage=SALRED/(4.34*min(us_hours,48));
if hwage>0 then lhwage=log(hwage);

*Full time; 
fulltim=(DUHAB in ("4","5","6","7")); *Corrected error;

*Gender;
female=(SEXE="2" or S="2");
male=1-female;

*Civil servant;
if annee>="2003" then public=(CHPUB in ("1","2","3"));
else if year<2003 then public=(CHPUB in ("2"));

*Wage earner;
if annee>="2003" then wageearn=(STAT2 in ("2"));
else if year<2003 then wageearn=(ST in ("2"));

*Definition of living department (department fixed effect);
livdep=DEP;
if livdep in ("2A","2B") then livdep="20";

*Definition of working department (livdepartment fixed effect);
if year<2003 and DEPETA NE "" then workdep=DEPETA ;
else if year=2003 then workdep=DEPARC;
if workdep="" then workdep=DEP;
if workdep in ("2A","2B") then workdep="20";

*Alsace Moselle; 
alsacemo=(livdep in ("57","67","68") ); 
alsacemo_alt=(workdep  in ("57","67","68")); 

*Border workers;
borderwo=1-(peta in ("10",""));

*Bordering country; 
* Here I follow exactly the program for the JOLE 2009 article; 
* Other decision could be done for some departments like Moselle (matching with Luxembourg); 
* Or Haut Rhin (matching with Switzerland) and similarly Aisne (02) could be included in the ; 
* The STATA code finally attributes 74 to Italy
* list and matched with Belgium; 
length country $12.;
if livdep=59 or livdep=08 or livdep=55 then country="Belgium"; 
else if livdep=54 then country="Luxembourg";
else if livdep=57 or livdep=67 or livdep=68 then  country="Germany";
else if livdep=90 or livdep=25 or livdep=39 or livdep=1 /*or livdep=74*/ then  country="Switzerland";
else if livdep=74 or livdep=73 or livdep=4 or livdep=5 or livdep=6 then  country="Italy";
else if livdep=66 or livdep=9 or livdep=31 or livdep=65 or livdep=64 then  country="Spain";
else country="No border";

country1=1-(country="No border");
country2=(country in ("Belgium","Luxembourg","Germany","Switzerland"));

countryb=country;
if livdep=2 then countryb="Belgium";
countryb1=1-(countryb="No border");
countryb2=(countryb in ("Belgium","Luxembourg","Germany","Switzerland"));


*Bordering GDP growth; 
* Data extracted on 24 Sep 2016 10:06 UTC (GMT) from OECD.Stat;
* http://stats.oecd.org/index.aspx?DatasetCode=EO; 
if country="No border" then bordergdp=0;
else if country="Belgium" and year=1996 then bordergdp=1.58960805579247;
else if country="Belgium" and year=1997 then bordergdp=3.7098969741779;
else if country="Belgium" and year=1998 then bordergdp=1.97648077819975;
else if country="Belgium" and year=1999 then bordergdp=3.56273663647085;
else if country="Belgium" and year=2000 then bordergdp=3.64016036893688;
else if country="Belgium" and year=2001 then bordergdp=0.805943529168277;
else if country="Belgium" and year=2002 then bordergdp=1.77955176068139;
else if country="Belgium" and year=2003 then bordergdp=0.774248667313357;
else if country="France" and year=1996 then bordergdp=1.38800402844923;
else if country="France" and year=1997 then bordergdp=2.33733340443809;
else if country="France" and year=1998 then bordergdp=3.55620125228618;
else if country="France" and year=1999 then bordergdp=3.40709914884665;
else if country="France" and year=2000 then bordergdp=3.87516225904453;
else if country="France" and year=2001 then bordergdp=1.95444942459258;
else if country="France" and year=2002 then bordergdp=1.1184568915501;
else if country="France" and year=2003 then bordergdp=0.819531669596682;
else if country="Germany" and year=1996 then bordergdp=0.853803107702814;
else if country="Germany" and year=1997 then bordergdp=1.90478756470841;
else if country="Germany" and year=1998 then bordergdp=1.7755820082395;
else if country="Germany" and year=1999 then bordergdp=1.84519905837833;
else if country="Germany" and year=2000 then bordergdp=3.19740195821453;
else if country="Germany" and year=2001 then bordergdp=1.83767366339264;
else if country="Germany" and year=2002 then bordergdp=0.018796971665527;
else if country="Germany" and year=2003 then bordergdp=-0.730261487285155;
else if country="Luxembourg" and year=1996 then bordergdp=1.52021815057823;
else if country="Luxembourg" and year=1997 then bordergdp=5.95023422423793;
else if country="Luxembourg" and year=1998 then bordergdp=6.48430414707796;
else if country="Luxembourg" and year=1999 then bordergdp=8.42348341729952;
else if country="Luxembourg" and year=2000 then bordergdp=8.4138511615165;
else if country="Luxembourg" and year=2001 then bordergdp=2.14738895086324;
else if country="Luxembourg" and year=2002 then bordergdp=3.62592944338009;
else if country="Luxembourg" and year=2003 then bordergdp=1.41294747363995;
else if country="Spain" and year=1996 then bordergdp=2.67477982295753;
else if country="Spain" and year=1997 then bordergdp=3.68947185154924;
else if country="Spain" and year=1998 then bordergdp=4.30597844697085;
else if country="Spain" and year=1999 then bordergdp=4.48477443037206;
else if country="Spain" and year=2000 then bordergdp=5.28922090746535;
else if country="Spain" and year=2001 then bordergdp=4.00106922543372;
else if country="Spain" and year=2002 then bordergdp=2.87976212105771;
else if country="Spain" and year=2003 then bordergdp=3.18757147564503;
else if country="Switzerland" and year=1996 then bordergdp=0.553143472905909;
else if country="Switzerland" and year=1997 then bordergdp=2.28249395074228;
else if country="Switzerland" and year=1998 then bordergdp=2.86759553716691;
else if country="Switzerland" and year=1999 then bordergdp=1.59413007109722;
else if country="Switzerland" and year=2000 then bordergdp=4.1730931201534;
else if country="Switzerland" and year=2001 then bordergdp=1.45704410800672;
else if country="Switzerland" and year=2002 then bordergdp=0.147402714479676;
else if country="Switzerland" and year=2003 then bordergdp=0.080114046598927;
else if country="Italy" and year=1996 then bordergdp=1.00012290887587;
else if country="Italy" and year=1997 then bordergdp=1.96767328011084;
else if country="Italy" and year=1998 then bordergdp=1.45619718946013;
else if country="Italy" and year=1999 then bordergdp=1.5085997667673;
else if country="Italy" and year=2000 then bordergdp=3.96835161235477;
else if country="Italy" and year=2001 then bordergdp=1.58146107576628;
else if country="Italy" and year=2002 then bordergdp=0.24728101400427;
else if country="Italy" and year=2003 then bordergdp=0.238103105481728;


*Redefinition of living region => Moselle in Alsace;
if year=2003 then livreg= reg; 
else livreg=rg;
if livdep="57" then livreg="42";
if livreg in ("93","94") then livreg="92";



* Placebo Region;
placebo=(livreg="72");

*Size of firm;

if efen98*1>=0 then efenn=EFEN98*1;
else efenn=efen;
IF EFENN=999999 then efenn=.;
efen99=(EFENN=.);
efen20=(efenn>19);
if efen99=0 then efen20W=(efenn>19);

tn20=(TN in ("5","6","7","8","9"));
Tn0=(TN="0");
tn99=(TN="");
tn99b=(TN in ("","0"));

if TN NE "" then tn20W=tn20;
if TN99b NE 1 then tn20Wb=tn20;
tn20e=tn20+tn99b;
tn20e2=tn20+tn99;

nbsalb0=(NBSALB in ("1"));
nbsalb20=(NBSALB in ("5","6","7","8","9"));
nbsalb99=(NBSALB="" or nbsalb="99");
nbsalb99b=(NBSALB="1" or NBSALB="" or nbsalb="99");
if nbsalb not in ("99","") then nbsalb2W=nbsalb20;
if nbsalb not in ("0","99","") then nbsalb2Wb=nbsalb20;

*Targeted diploma;
t_ddipl=("4"<DDIPL<"8");


*Targeted occupation;
t_occ_o=("31"<CSE<"70");
t_occ=(t_occ_o=1 and CSE NOT in ("34","42","44","56"));
t_occ_a=(t_occ_o=1 and CSE NOT in ("34","42","44","56","62","63","68"));

*Targeted firm; 
if public=1 then t_firm =1; 
else if year=2003 and efenn>19 and efenn ne . then t_firm=1;
else if year=2003 and efenn<=19 and efenn ne . then t_firm=0;
else if year=2003 and NBSALB in ("5","6","7","8","9") then t_firm=1;
else if year=2003 and NBSALB in ("0","1","2","3","4") then t_firm=0;
else if year<2003 and TN in ("5","6","7","8","9") then t_firm=1;
else if 1997<year<2003 and TN in ("0","1","2","3","4") then t_firm=0;
else if year<1998 and TN in ("1","2","3","4") then t_firm=0;
else if wageearn=0 then t_firm=0;

t_firm_o=( ( year=2003 and (efen20=1 or (nbsalb20=1 & efen99=1)) ) or tn20=1 or public=1);;
t_firm_e=(efenn>19 | efenn=.);*Error as in the paper;

t_firm5=t_firm_o; 
if t_firm=0 and efen99 = 1 and tn99 = 1 and nbsalb99 = 1 and public=0 then t_firm5=.;

if public=1 then t_firm6 =1; 
else if year=2003 and efenn>19 and efenn ne . then t_firm6=1;
else if year=2003 and efenn<=19 and efenn ne . then t_firm6=0;
else if year=2003 and NBSALB in ("5","6","7","8","9") then t_firm6=1;
else if year=2003 and NBSALB in ("0","1","2","3","4") then t_firm6=0;
else if year<2003 and TN in ("5","6","7","8","9") then t_firm6=1;
else if year<2003 and TN in ("0","1","2","3","4") then t_firm6=0;
else if wageearn=0 then t_firm6=0;

*Targeted sector;
if year=2003 then sector=NAFG36U; 
else sector=NAFG36; 
t_sector=(sector in ("F5","J3","P1","H0"));

*Targeted individuals;
t_ind=(t_occ+t_firm+t_sector>=3);
if t_firm=. then t_ind=.; 

*Age; 
agen=max(AGE,AG)*1;
age1524=(15<=agen<=24);
age2539=(25<=agen<=39);
age4049=(40<=agen<=49);
age5059=(50<=agen<=59);
age60pl=(60<=agen);

*Household size; 
if year<2003 then hhldsize=NP; 
else hhldsize=NBINDE;
hhldsize=min(hhldsize,5);

*Diploma; 
ddipl1=(DDIPL="1");
ddipl3=(DDIPL="3");
ddipl4=(DDIPL="4");
ddipl5=(DDIPL="5");
ddipl6=(DDIPL="6");
ddipl7=(DDIPL="7");
ddipl9=(DDIPL="");

*Period;
per9900=(year in (1999,2000));
per0102=(year in (2001,2002));
per03=(year in (2003));
per0003=(year >1999);
per0002=(year in (2000,2001,2002));
per9902=(year in (1999,2000,2001,2002));
per99=(year in (1999));
per0001=(year in (2000,2001));
per0203=(year in (2002,2003));

alsacemoper9900=alsacemo*(year in (1999,2000));
alsacemoper0102=alsacemo*(year in (2001,2002));
alsacemoper03=alsacemo*(year in (2003));

*Employment;
act3=ACT;
if year=2003 then act3=ACTEU;

if year=2003 then act7=ACTEU6;

employed=(act3="1");
if act3 in ("1","2") then unemploy=(act3="2");

employe2=2-employed;
unemplo2=2-unemploy;

*Skilled; 
skilled=(ddipl in ("1","3"))*1;
skilled2=(ddipl in ("1","3","4"))*1;

*Occupations typical of big firms;
CS_f20=(CSE*1 in (54,43,46,37,64,52,47,38,65,48,62,67));

*Field; 
all=1;

*Field 1 : active workers;
f1=(act7="1" | act7="3" | act7="4");

*Field 2 : full time active workers;
f2=(f1=1 and fulltim=1);

*Field 3 : full time active workers and no missing in regression;
f3=(f2=1 & CSE NE "" &  us_hours NE .  & hhldsize NE . & livdep NE "" & agen NE . and extri NE . and extri NE 0);

*Field 3b : border workers excluded;
f3b=(f3=1 & borderwo=0 );

*Field 4 : active and inactive and no missing for regression and year<2003;
f4=(09<CSE<70 and CSE NE ""  & hhldsize NE . & livdep NE "" & agen NE . and year<2003 and extri NE . and extri NE 0);

*Field 5 : active and no missing for regression;
f5=(f4=1 & ACT3 in ("1","2") );

*Field 4b : active and inactive and no missing for regression and year<2003;
f4b=(09<CSE<70 and CSE NE ""  & hhldsize NE . & livdep NE "" & agen NE . and extri NE . and extri NE 0);
f5b=(f4b=1 & ACT3 in ("1","2"));
run;


*********************************************************;
* Table G1B. Size of firms
******************************************************;
proc tabulate data=emp format=8.5 ; 
title "Table G1B. Measuring the size of the firm";
class year;
var EFENn EFEN20 EFEN99 EFEN20W;
format EFENn EFEN20 EFEN99 EFEN20W ;
table year,(EFENn EFEN20 EFEN99 EFEN20W)*(MEAN STD N) ;
where f3=1;
run;

proc tabulate data=emp format=8.5 ; 
title "Table G1B. Measuring the size of the firm";
class year;
var TN99 TN0 TN99B TN20 TN20WB;
table year,(TN99 TN0 TN99B TN20 TN20WB)*(MEAN) TN99*N  ;
where f3=1 and year<2003;
run;

proc tabulate data=emp format=8.5 ; 
title "Table G1B. Measuring the size of the firm";
class year;
var NBSALB99 NBSALB0 NBSALB99B NBSALB20 NBSALB2WB;
table year,(NBSALB99 NBSALB0 NBSALB99B NBSALB20 NBSALB2WB)*(MEAN) NBSALB20*N  ;
where f3=1 and year=2003;
run;

proc freq data=emp; 
Title "CHECK TABLE G1 Size of firm : Tranche d'effectifs 1996-2002";
tables year*TN / NOCOL NOPERCENT NOROW missing; 
where f3=1 and year<2003;
run;

proc freq data=emp; 
Title "CHECK TABLE G1. Size of firm definition : Subjective definition in 2003";
tables NBSALB / NOCOL NOFREQ missing; 
where f3=1 and year=2003;
run;


**********************************************************************;
* TABLE G2. PANEL B. Correcting for Firm size                         ; 
**********************************************************************;

proc surveyreg data=emp; 
title "Table G2_B col1. DD Firm>=20"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution  ; 
weight extri;
where f3=1  and tn20w=1 and year <2003;
quit;

proc surveyreg data=emp; 
title "Table G2_B col2. DD Firm<20 without missing and 0"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where f3=1 and tn20wb=0 and year <2003;
quit;

proc surveyreg data=emp; 
title "Table G2_B col3. DD Firm=0 or missing"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where f3=1 and tn99b=1 and year <2003;
quit;

proc surveyreg data=emp; 
title "Table G2_B col4. DDD Firms missing excluded"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
tn20w*year tn20w*livdep tn20w*CSE 
tn20w*alsacemo*per03 tn20w*alsacemo*per0102 tn20w*alsacemo*per9900
/solution  ; 
where f3=1 and year<2003;
weight extri;
quit;

proc surveyreg data=emp; 
title "Table G2_B col5. DDD Firms missing in small firms"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
tn20*year tn20*livdep tn20*CSE 
tn20*alsacemo*per03 tn20*alsacemo*per0102 tn20*alsacemo*per9900
/solution  ; 
where f3=1 and year<2003;
weight extri;
quit;

proc surveyreg data=emp; 
title "Table G2_B col6. DD Firm>0 with missing in target firms"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where f3=1 and tn20e=1 and year <2003;
quit;

proc surveyreg data=emp; 
title "Table G2_B col7. DDD Firms with missing in target firms"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
tn20e*year tn20e*livdep tn20e*CSE 
tn20e*alsacemo*per03 tn20e*alsacemo*per0102 tn20e*alsacemo*per9900
/solution  ; 
where f3=1 and year<2003;
weight extri;
quit;


***************************************************;
* Table G3_A. Replication of Table 1 with correction on firm size                                        *; 
***************************************************;

proc surveyreg data=emp; 
title "Table G3_A. col1. DD Target occ"; 
cluster  livdep;
class year livdep CSE ;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where F3=1 and T_occ=1;
quit;

proc surveyreg data=emp; 
title "Table G3_A. col2. DD Untarget Occ"; 
class  year livdep CSE ;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where F3=1 and T_occ=0;
quit;

proc surveyreg data=emp; 
title "Table G3_A. col3. DDD Target Occ"; 
class year livdep CSE ;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
T_occ*year T_occ*livdep /*T_occ*CSE*/ 
T_occ*alsacemo*per03 T_occ*alsacemo*per0102 T_occ*alsacemo*per9900
/solution ; 
weight extri;
where F3=1 ;
quit;


proc surveyreg data=emp; 
title "Table G3_A. col4. DD Target ind"; 
class  year livdep CSE;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where F3=1 and t_ind=1;
quit;

proc surveyreg data=emp; 
title "Table G3_A. col5. DD Untarget ind"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where F3=1 and t_ind=0;
quit;


proc surveyreg data=emp; 
title "Table G3_A. col6. DDD Target Ind"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
t_ind*year t_ind*livdep t_ind*CSE 
t_ind*alsacemo*per03 t_ind*alsacemo*per0102 t_ind*alsacemo*per9900
/solution ; 
weight extri;
where F3=1 ;
quit;


proc surveyreg data=emp; 
title "Table G3_A. col7. DD Target Ind + bordergdp"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
bordergdp /solution ; 
weight extri;
where F3=1 and t_ind=1;
quit;

***************************************************;
* Table G3_B. Replication of Table A2 with correction on firm size ; 
***************************************************;


proc surveyreg data=emp; 
title "Table G3_B col1. DD Firm>=20"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution  ; 
weight extri;
where F3=1  and t_firm=1;
quit;


proc surveyreg data=emp; 
title "Table G3_B col2. DD Firm<20"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where F3=1 and t_firm=0;
quit;

proc surveyreg data=emp; 
title "Table G3_B col3. DDD Firms"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
ddipl1 ddipl3 ddipl4 ddipl5 ddipl6 ddipl9
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
t_firm*year t_firm*livdep t_firm*CSE
t_firm*alsacemo*per03 t_firm*alsacemo*per0102 t_firm*alsacemo*per9900
/solution  ; 
where F3=1 ;
weight extri;
quit;


proc surveyreg data=emp; 
title "Table G3_B col4. DD Weak sectors"; 
cluster  livdep;
class  year livdep CSE;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
where F3=1 and t_sector=1;
weight extri;
quit;


proc surveyreg data=emp; 
title "Table G3_B col5. DD Other sectors"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
where F3=1 and t_sector=0;
weight extri;
quit;

proc surveyreg data=emp; 
title "Table G3_B col6. DDD Weak sectors"; 
cluster  livdep;
class year livdep CSE;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
t_sector*year t_sector*livdep t_sector*CSE 
t_sector*alsacemo*per03 t_sector*alsacemo*per0102 t_sector*alsacemo*per9900
/solution ; 
where F3=1 ;
weight extri;
quit;

***********************************************;
* Table G4. Descriptive statistics on border workers; 
***********************************************;
proc means data=emp; 
title "Table G4. Frontier workers Frontier departments"; 
var borderwo; 
class livdep;
where f3=1 and countryb1=1;
run;

proc means data=emp; 
title "Table G4. Frontier workers Alsace-Moselle"; 
var borderwo; 
class countryb1 alsacemo;
where f3=1;
run;

proc means data=emp; 
title "Table G4. Frontier workers All"; 
var borderwo; 
where f3=1 ;
run;

proc freq data=emp; 
title "Check countries of work"; 
table PETA;
where f3=1 and alsacemo=1 and borderwo=1;
run;


***********************************************;
* Figure G1. Evolution of working time with or wihout Border workers; 
***********************************************;

proc means data=emp N MEAN STD LCLM UCLM MIN P1 P10 Q1 MEDIAN Q3 P90 P99 MAX ; 
title "Figure G1. Frontier workers Working time I"; 
var us_hours; 
class alsacemo year ;
where f3=1 and t_occ=1;
run;

proc means data=emp N MEAN STD LCLM UCLM MIN P1 P10 Q1 MEDIAN Q3 P90 P99 MAX ; 
title "Figure G1. Frontier workers Working time II"; 
var us_hours; 
class alsacemo borderwo year ;
where f3=1 and t_occ=1;
run;


***************************************************;
* TABLE G5 PANEL A. REPLICATION OF TABLE 1. 
* Correction of firm size & exclusion of border workers; 
***************************************************;

proc surveyreg data=emp; 
title "Table G5A col1. DD Target occ"; 
cluster  livdep;
class year livdep CSE ;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where f3b=1 and T_occ=1;
quit;

proc surveyreg data=emp; 
title "Table G5A col2. DD Untarget Occ"; 
class  year livdep CSE ;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where f3b=1 and T_occ=0;
quit;

proc surveyreg data=emp; 
title "Table G5A col3. DDD Target Occ"; 
class year livdep CSE ;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
T_occ*year T_occ*livdep /*T_occ*CSE*/ 
T_occ*alsacemo*per03 T_occ*alsacemo*per0102 T_occ*alsacemo*per9900
/solution ; 
weight extri;
where f3b=1 ;
quit;


proc surveyreg data=emp; 
title "Table G5A col4. DD Target ind"; 
class  year livdep CSE;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where f3b=1 and t_ind=1;
quit;

proc surveyreg data=emp; 
title "Table G5A col5. DD Untarget ind"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where f3b=1 and t_ind=0;
quit;


proc surveyreg data=emp; 
title "Table G5A col6. DDD Target Ind"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
t_ind*year t_ind*livdep t_ind*CSE 
t_ind*alsacemo*per03 t_ind*alsacemo*per0102 t_ind*alsacemo*per9900
/solution ; 
weight extri;
where f3b=1 ;
quit;

proc surveyreg data=emp; 
title "Table G5A col7. DD Target Ind + bordergdp"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
bordergdp
/solution ; 
weight extri;
where F3B=1 and t_ind=1;
quit;


***************************************************;
* TABLE G5 PANEL B. REPLICATION OF TABLE A2. 
* Correction of firm size & exclusion of border workers; 
***************************************************;

proc surveyreg data=emp; 
title "Table G5B col1. DD Firm>=20"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution  ; 
weight extri;
where f3b=1  and t_firm=1;
quit;


proc surveyreg data=emp; 
title "Table G5B col2. DD Firm<20"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
weight extri;
where f3b=1 and t_firm=0;
quit;

proc surveyreg data=emp; 
title "Table G5B col3. DDD Firms"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
t_firm*year t_firm*livdep t_firm*CSE 
t_firm*alsacemo*per03 t_firm*alsacemo*per0102 t_firm*alsacemo*per9900
/solution  ; 
where f3b=1 ;
weight extri;
quit;


proc surveyreg data=emp; 
title "Table G5B col4. DD Weak sectors"; 
cluster  livdep;
class  year livdep CSE;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
where f3b=1 and t_sector=1;
weight extri;
quit;


proc surveyreg data=emp; 
title "Table G5B col5. DD Other sectors"; 
class  year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/solution ; 
where f3b=1 and t_sector=0;
weight extri;
quit;

proc surveyreg data=emp; 
title "Table G5B col6. DDD Weak sectors"; 
cluster  livdep;
class year livdep CSE;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
t_sector*year t_sector*livdep t_sector*CSE 
t_sector*alsacemo*per03 t_sector*alsacemo*per0102 t_sector*alsacemo*per9900
/solution ; 
where f3b=1 ;
weight extri;
quit;

proc surveyreg data=emp; 
title "Table G5B col7. DDD Firms / t_occ=1"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
t_firm*year t_firm*livdep t_firm*CSE 
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
t_firm*alsacemo*per03 t_firm*alsacemo*per0102 t_firm*alsacemo*per9900
/solution  ; 
where f3b=1 and t_occ=1 ;
weight extri;
quit;


****************************************************************;
* TABLE GA1. Descriptive statistics ; 
****************************************************************;

proc tabulate data=emp format=8.4 order=formatted; 
title "TABLE GA1. Descriptive stats. Working hours all workers. ";
class alsacemo;
var  us_hours  ;
table (us_hours ),ALSACEMO*(MEAN STD N  );
format alsacemo alsacemo.;
where f1=1 ;
quit;

proc tabulate data=emp format=8.4 order=formatted; 
title "TABLE GA1. Descriptive stats. Full time workers. Number of working for weeks with specific hollidays. ";
class alsacemo;
var  us_hours lw_hours ;
table (us_hours lw_hours),ALSACEMO*(MEAN STD N  );
format alsacemo alsacemo.;
where f3=1 and year=2003 and DATDEB in ("20031222","20030414") ;
quit;

proc tabulate data=emp format=8.4 order=formatted; 
title "TABLE GA1. Descriptive statistics all active workers";
class alsacemo;
var  us_hours lw_hours t_firm t_sector t_occ t_ind age1524--age60pl male hhldsize ddipl1--ddipl7 ddipl9 hwage lhwage;
table (us_hours lw_hours t_firm t_sector t_occ t_ind age1524--age60pl male hhldsize ddipl1--ddipl7 ddipl9 hwage lhwage),ALSACEMO*(MEAN STD N  );
where F3=1;
format alsacemo alsacemo.;
quit;

proc tabulate data=emp format=8.4 order=formatted; 
title "TABLE GA1. Employment";
class alsacemo;
var  employed unemploy ;
table (employed unemploy ),ALSACEMO*(MEAN STD N  );
format alsacemo alsacemo.;
quit;


*********************************************************; 
* TABLE GA2. Description of table new firm20 variable   *; 
*********************************************************; 
proc freq data=emp; 
title "Table GA2. Measuring the size of the firm - Final variable. Col 1-3 %";
tables year*t_firm/missing nocol nopercent nofreq;
where F3=1 ;
run;

proc freq data=emp; 
title "Table GA2. Measuring the size of the firm - Final variable. Col 4. %";
tables year*t_firm/nocol nopercent nofreq;
where F3=1 ;
run;

proc freq data=emp; 
title "Table GA2. Measuring the size of the firm - Final variable. Col 5. N";
tables year*t_firm/missing nocol nopercent norow;
where F3=1 ;
run;


******************************************************************************************;
* Figure GA1-GA3. Evolution of working hours in regions with sharpest & smallest drops   *; 
*******************************************************************************************;

proc means data=emp N MEAN LCLM UCLM STD MIN MAX ; 
title "Figure GA1. Evolution of working time per region Agregated periods"; 
var us_hours; 
class livreg year ;
where f3=1 ;
format year myyear.;
run;


proc means data=emp N MEAN LCLM UCLM STD MIN MAX ; 
title "Figure GA1. Evolution of working time per region "; 
var us_hours; 
class livreg year ;
where f3=1 ;
run;

proc means data=emp N MEAN LCLM UCLM STD MIN MAX ; 
title "Figure GA2. Evolution of working time per region targeted occupations. Aggregated periods"; 
var us_hours; 
class livreg year ;
where f3=1 and t_occ=1;
format year myyear.;
run;

proc means data=emp N MEAN LCLM UCLM STD MIN MAX ; 
title "Figure GA2. Evolution of working time per region targeted occupations. "; 
var us_hours; 
class livreg year ;
where f3=1 and t_occ=1;
run;


proc means data=emp N MEAN LCLM UCLM STD MIN MAX ; 
title "Figure GA3. Evolution of working time per region targeted occupations no border workers. Agrregated periods"; 
var us_hours; 
class livreg year ;
where f3=1 and t_occ=1 and borderwo=0;
format year myyear.;
run;


proc means data=emp N MEAN LCLM UCLM STD MIN MAX ; 
title "Figure GA3. Evolution of working time per region targeted occupations no border workers. "; 
var us_hours; 
class livreg year ;
where f3=1 and t_occ=1 and borderwo=0;
run;

proc means data=emp N MEAN LCLM UCLM STD MIN MAX ; 
title "Figure GA3. Evolution of working time per region targeted occupations no border workers. ALL"; 
var us_hours; 
class year ;
where f3=1 and t_occ=1 and borderwo=0;
run;


*****************************************;
* OTHER CHECKS                           ;
*****************************************;

* Check on size of firms ; 
proc freq data=emp; 
title "Check of self employed with size of firm";
tables wageearn*TN20w;
where F3=1 and 1997<year<2003;
run;

proc freq data=emp; 
title "Check of occupations within big or small firms ";
tables cse*(tn20 tn99) cse*CS_f20/missing nocol nopercent nofreq;
where F3=1 and 1997<year<2003;
run;

proc freq data=emp; 
title "Check of typical big firm occupations within big or small firms 2";
tables CS_f20*(tn20 tn99 TN99B)/chisq missing nocol nopercent nofreq;
where F3=1 and 1997<year<2003;
run;

proc freq data=emp; 
title "Check of matching of EFEN & TN";
tables EFEN20w*TN20w/missing;
where F3=1 and year=1998;
run;


* checking of change in estimates when introducing in table 1 col 1 border*GDP growth;
proc surveyreg data=emp; 
title "Table G3_A. col1_bis. DD Target occ + bordergdp"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
bordergdp /solution ; 
weight extri;
where F3=1 and t_occ=1;
quit;

* Variation of delimitation for firms DD and DDD ;
proc surveyreg data=emp; 
title "Table 1 col1 l2. DDD Firms. Other periods"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
t_firm*year t_firm*livdep t_firm*CSE 
alsacemo*per0203 alsacemo*per0001 alsacemo*per99
t_firm*alsacemo*per0203 t_firm*alsacemo*per0001 t_firm*alsacemo*per99
/solution  ; 
where F3=1 ;
weight extri;
quit;

*Excluding border workers;
proc surveyreg data=emp; 
title "Table 1 col1 l2. DDD Firms. Other periods. No border workers"; 
class year livdep CSE;
cluster  livdep;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
t_firm*year t_firm*livdep t_firm*CSE 
alsacemo*per0203 alsacemo*per0001 alsacemo*per99
t_firm*alsacemo*per0203 t_firm*alsacemo*per0001 t_firm*alsacemo*per99
/solution  ; 
where F3b=1 ;
weight extri;
quit;


*CHECKING FOR REGIONAL VARIATIONS; 
proc format; 
value $livreg 
"23"="ref";
run;

proc surveyreg data=emp; 
title "Table G5A col1. DD Target occ"; 
cluster  livdep;
class year livdep CSE livreg;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
livreg*per03 livreg*per0102 livreg*per9900
/solution ; 
weight extri;
where f3b=1 and T_occ=1;
quit;

proc surveyreg data=emp; 
title "Table G5A col1. DD Target occ"; 
format livreg $livreg.;
cluster  livdep;
class year livdep CSE livreg;
model us_hours=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
livreg*per03 livreg*per0102 livreg*per9900
/solution ; 
weight extri;
where f3b=1 and T_occ=1;
quit;


***************************************************;
* Checking for replication of TABLE 2, and 3 .
***************************************************;
* TABLE 2;
proc surveylogistic data=emp ; 
title "Table 2 col1. Employed DD Target occ"; 
class  year livdep CSE /PARAM=REFERENCE;
cluster  livdep;
model employe2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/Link=probit ; 
where f4=1 and T_occ=1 ;
weight extri;
quit;



proc surveylogistic data=emp ; 
title "Table 2 col2. Employed DD Untarget Occ"; 
class  year livdep CSE /PARAM=REFERENCE;
cluster  livdep;
model employe2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/Link=probit ; 
where f4=1 and T_occ=0 ;
weight extri;
quit;


proc surveylogistic data=emp ; 
title "Table 2 col3. Employed DDD Target Occ"; 
class year livdep CSE /PARAM=REFERENCE;
cluster  livdep;
model employe2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 
T_occ*year T_occ*livdep /*T_occ*CSE*/ 
T_occ*alsacemo*per03 T_occ*alsacemo*per0102 T_occ*alsacemo*per9900
/Link=probit ; 
where f4=1;
weight extri;
quit;


proc surveylogistic data=emp ; 
title "Table 2 col4. Employed DDD Target Occ. Skilled"; 
class year livdep CSE /PARAM=REFERENCE;
cluster  livdep;
model employe2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 
T_occ*year T_occ*livdep /*T_occ*CSE*/ 
T_occ*alsacemo*per03 T_occ*alsacemo*per0102 T_occ*alsacemo*per9900
/Link=probit ; 
where f4=1 and skilled=1;
weight extri;
quit;


proc surveylogistic data=emp ; 
title "Table 2 col5. Employed DDD Target Occ. Unskilled"; 
class year livdep CSE /PARAM=REFERENCE;
cluster  livdep;
model employe2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 
T_occ*year T_occ*livdep /*T_occ*CSE*/ 
T_occ*alsacemo*per03 T_occ*alsacemo*per0102 T_occ*alsacemo*per9900
/Link=probit ; 
where f4=1 and skilled=0;
weight extri;
quit;


***************************************************;
* TABLE 3; 
***************************************************;

proc surveylogistic data=emp ; 
title "Table 3 col1. Unemployed DD Target occ"; 
class  year livdep CSE /PARAM=REFERENCE ;
cluster  livdep;
model unemplo2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/Link=probit ; 
where f5=1 and t_occ=1;
weight extri;
quit;

proc surveylogistic data=emp ; 
title "Table 3 col2. Unemployed DD Untarget Occ"; 
class  year livdep CSE /PARAM=REFERENCE;
cluster  livdep;
model unemplo2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/Link=probit ; 
where f5=1 and t_occ=0;
weight extri;
quit;


proc surveylogistic data=emp ; 
title "Table 3 col3. Unemployed DDD Target Occ"; 
class year livdep CSE /PARAM=REFERENCE;
cluster  livdep;
model unemplo2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 
T_occ*year T_occ*livdep /*T_occ*CSE*/ 
T_occ*alsacemo*per03 T_occ*alsacemo*per0102 T_occ*alsacemo*per9900
/Link=probit ; 
where f5=1 ;
weight extri;
quit;


proc surveylogistic data=emp ; 
title "Table 3 col4. Unemployed DDD Target Occ Skilled"; 
class year livdep CSE /PARAM=REFERENCE;;
cluster  livdep;
model unemplo2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 
T_occ*year T_occ*livdep /*T_occ*CSE*/ 
T_occ*alsacemo*per03 T_occ*alsacemo*per0102 T_occ*alsacemo*per9900
/Link=probit ; 
where f5=1 and skilled=1;
weight extri;
quit;


proc surveylogistic data=emp ; 
title "Table 3 col5. Unemployed DDD Target Occ Unskilled"; 
class year livdep CSE /PARAM=REFERENCE;;
cluster  livdep;
model unemplo2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 
T_occ*year T_occ*livdep /*T_occ*CSE*/ 
T_occ*alsacemo*per03 T_occ*alsacemo*per0102 T_occ*alsacemo*per9900
/Link=probit ; 
where f5=1 and skilled=0;
weight extri;
quit;

***********************************************************;
* Check for a variant : DD Employment for unskilled in targeted occupation; 
***********************************************************;
proc surveylogistic data=emp ; 
title "Table 2 col5. Employed DD Target Occ. Unskilled"; 
class year livdep CSE /PARAM=REFERENCE;
cluster  livdep;
model employe2=year livdep CSE
male
hhldsize ddipl1--ddipl6 ddipl9
age1524 age4049 age5059 age60pl
alsacemo*per03 alsacemo*per0102 alsacemo*per9900
/Link=probit ; 
where f4=1 and t_occ=1 and skilled=0;
weight extri;
quit;


